<div class='row'>

    <form class="container" style='width:480px;margin-top:50px;' #f='ngForm'>
      <h4>Welcome back</h4>
      <input type="text"
        #focusthis
        id="userName"
        name="username"
        class="form-control"
        placeholder="username"
        required
        minlength="3"
        [(ngModel)]='username'
      />
      <br/>
      <input type="password"
        id="userPassword"
        name='password'
        class="form-control"
        placeholder="password"
        required
        [(ngModel)]='password'
      />
      <br/>

      <div class="d-flex justify-content-start" >
        <button
          class="btn btn-primary"
          [disabled]='!f.valid'
          (click)='login()'
        >
          login
        </button>
      </div>

  </form>
</div>

